Skip to main content
PUT
Update an assistant

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://dev.flextell.ai/oauth/authorize
Token URL
https://dev.flextell.ai/oauth/token

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The assistant identifier

Body

application/json
name
string

Assistant's name.

Maximum string length: 255
email
string<email>

Assistant's email address.

Maximum string length: 255
password
string

Assistant's password.

Minimum string length: 8
password_confirmation
string

Assistant's password confirmation. Must match the password field.

Minimum string length: 8
phone
string | null

Assistant's phone number.

Maximum string length: 20
avatar_url
string | null

Assistant's avatar URL.

Maximum string length: 1000
is_active
boolean | null

Assistant's active status. Limit check is performed by UserLimitService in the controller.

language
enum<string>[] | null

Assistant's language preferences.

A language code (ISO 639-1).

Available options:
Turkish,
English,
Other

Response

success
string
required
data
AssistantResource · object
required